Subject: Re: [PATCH 1/8] networking/fanotify: declare fanotify socket numbers

From: Evgeniy Polyakov <[email-masked]>
Date: Sat, 12 Sep 2009 13:41:10 +0400

On Fri, Sep 11, 2009 at 05:51:42PM -0400, Eric Paris ([email-masked]) wrote:
> For some things yes, some things no.  I'd have to understand where loss
> can happen to know if it's feasible.  If I know loss happens in the
> sender context that's great.  If it's somewhere in the middle and the
> sender doesn't immediately know it'll never be delivered, yes, I don't
> think it can solve all my needs.  How many places can and skb get lost
> between the sender and the receiver?

When queue is full or you do not have enough RAM. Both are reported at
'sending' time.

As of your description of netlink/socket usage - you will have to peek
skb queue, which is rather error-prone operation. Also you will have to
implement own skb destructor to mess with private reference counters and
netlink bits.

-- 
	Evgeniy Polyakov